Hi

I am a total novice, so please excuse me if this is a stupid question.

i have just bought a Garmin Edge 800, and downloaded your excellent UK map. I have completed a couple of trips, but when I try and upload them to the OpenStreetMap site, I find that my files are in .fit format, rather than .gpx. How can I resolve this?

Regards

Billthecoder

asked 18 Mar '12, 07:45

Billthecoder's gravatar image

Billthecoder
26113
accept rate: 0%

edited 22 Mar '12, 19:49

stephan75's gravatar image

stephan75
12.5k453209


According to this page, you can import FIT to Garmin Training Center or Garmin Connect, then export as TXC. You can use GPSBabel to convert TXC to GPX.

permanent link

answered 18 Mar '12, 20:01

TheOddOne2's gravatar image

TheOddOne2
6851621
accept rate: 3%

Apologies for such a late response... the latest version (1.4.4) of gpsbabel reads garmin fit files from an Edge 800 as both input (and output). It loses some information (something I think may be resolved) like date/time (taking 'now' instead of trace metadata... but I don't know if that's fit or just gpsbabel), but the gps trace/route IS intact.

e.g. an example import

gpsbabel -i garmin_fit -f /mnt/GARMIN/Garmin/Activities/activity20120918.fit -o gpx -F ~/tmp/output.gpx

Hope that helps!

permanent link

answered 28 Sep '12, 10:01

spaceyjase's gravatar image

spaceyjase
3112
accept rate: 0%

edited 28 Sep '12, 10:02

Maybe Routeconverter can handle and convert that fit files.

permanent link

answered 22 Mar '12, 19:48

stephan75's gravatar image

stephan75
12.5k453209
accept rate: 6%

Not yet, is the FIT SDK (http://help.openstreetmap.org/questions/11292/fit-files/11432) the correct library to achieve this?

(05 Apr '12, 08:06) routeconverter

I'm posting this here because Google likes this and I thought it might be useful if your running linux and lazy like me and want a one-click solution. This finds fit files in anything mounted called "garmin" and puts gpx files with the same name into a folder in your home folder called "Tracks" Thanks to spaceyjase for the gpsbabel syntax.

#!/bin/bash
# Convert any new files to GPX from the garmin fit format.
# existing files will not be overwritten
# FROM is the name of the mount point for the garmin, my garmin is called "GARMIN" and I called the sd card "garmin-map" so this finds both if they're mounted with automount
FROM=garmin
TO=~/Tracks/

FROMPATH=`mount | awk '{print $3};' | grep -i $FROM`
GARMINEXT=".fit"
TOEXT=".gpx"
GPSBABEL="gpsbabel"

# Check if gps babel exists
hash ${GPSBABEL} 2>/dev/null || { 
    echo >&2 "I require ${GPSBABEL} but it's not installed.  Aborting."
    exit 2
}

# there may be more than one matching path
for FROM in ${FROMPATH} ; do
# check if the path is valid
    if [ -d "${FROM}" ]; then
        # create the destination if it doesnt exist
        if [ ! -d "$TO" ]; then
            echo "Creating $TO"
            mkdir "$TO"
        fi
        echo "${FROM} => ${TO}"

        # find valid folders that we can use
        # we cant process all .fit files
        for SEARCHPATH in `find ${FROM} -type d -iname Activities -o -iname Courses` ; do
            # find all the fit files in the folder
            for INFILE in ${SEARCHPATH}/*${GARMINEXT} ; do
                if [ -f "${INFILE}" ]; then
                    # work out the destination file name abc.fit => abc.gpx
                    TOFILE=`basename "${INFILE}" | sed s/$GARMINEXT/$TOEXT/`

                    # only do the conversion if the destion doesn't exist
                    if [ ! -f "${TO}${TOFILE}" ]; then
                        echo "Converting `basename "$INFILE"` to $TOFILE..."
                        ${GPSBABEL} -i garmin_fit -f "${INFILE}" -o gpx -F "${TO}/${TOFILE}" || {
                            echo "Failed to convert ${INFILE}"
                        }
                    else
                        echo "${TO}${TOFILE} alread exists."
                    fi
                fi
            done
        done
    else
        echo "$FROMPATH does not exist."
        exit 1;
    fi
done
permanent link

answered 13 May '15, 19:00

thehungarian's gravatar image

thehungarian
1
accept rate: 0%

Current versions of GARMIN connect can export .gpx files directly.

permanent link

answered 14 May '15, 16:43

SimonPoole's gravatar image

SimonPoole ♦
38.2k13284607
accept rate: 19%

edited 14 May '15, 16:43

Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×288
×223
×33
×2

question asked: 18 Mar '12, 07:45

question was seen: 13,375 times

last updated: 14 May '15, 16:43

powered by OSQA